Subject: FIRE BLIGHT?

From: [email-masked] (Amy Moseley Rupp-(WB)NH)
Date: Mon, 6 Mar 1995 17:55:36 GMT

As you know, we've had an exceptionally rainy period lately.
I have some Indian Hawthornes, still in their nursery.  They
are in various stages of bloom.

I looked out the window Saturday and saw a bunch of bronze
leaves in the middle of one plant.  The leaves die back from the
base of the stem, and the blossom-to-be is blotched red.

The "books" on fire blight say to prune back infected wood.
This would be virtually the whole plant in this case.  I
removed the affected leaves and sprayed every IH and Rose
with streptomycin, which is more a preventive than a cure.
I understand Triple Action 20 gives control, but the warning
label on that stuff scared me off.

Is anyone else having problems?  I've set the followup
to rec.gardens since fire blight occurs over a wide area
of the US.
-- 
Amy Moseley Rupp                     "Amy-Mama" to Elizabeth "Be-Ba" AnneMarie,
[email-masked]               born 11/4/92, 16 teeth and >100 words!
(512) 329-7117                           Granddaughter of EJSM, loved forever.